Create Application and Database

post

/applications

Creates an application and database (cube) with the specified details.

Request

There are no request parameters for this operation.

Back to Top

Response

200 Response

OK

Application created successfully.

400 Response

Bad Request

Failed to create application.

500 Response

Internal Server Error.

Back to Top

Examples

The following example shows how to create an Essbase application and database (cube) using the REST API.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X POST https://myserver.example.com:9001/essbase/rest/v1/applications -H "Accept:application/json" -H "Content-Type:application/json" -d '{"applicationName": "MyApp", "databaseName":"Basic", "databaseType":"ASO", "allowDuplicates": true, "enableScenario": false}' -u %User%:%Password%
Back to Top